[devhelp/wip/swilmet/build-system-update: 1/3] build: don't use gnome-autogen.sh (deprecated)
- From: Sébastien Wilmet <swilmet src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [devhelp/wip/swilmet/build-system-update: 1/3] build: don't use gnome-autogen.sh (deprecated)
- Date: Thu, 3 Nov 2016 14:45:04 +0000 (UTC)
commit f3542eb092bd72fe55bb64757add2c407b26d645
Author: Sébastien Wilmet <swilmet gnome org>
Date: Thu Nov 3 14:36:39 2016 +0100
build: don't use gnome-autogen.sh (deprecated)
gnome-common is deprecated, use the new autogen.sh as provided at:
https://wiki.gnome.org/Projects/GnomeCommon/Migration
From the template, the call to glib-gettextize has been removed. The
call to intltoolize is kept because Devhelp still uses intltool.
https://bugzilla.gnome.org/show_bug.cgi?id=773900
autogen.sh | 43 ++++++++++++++++++++++++++++++-------------
1 files changed, 30 insertions(+), 13 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 22431ac..9bf7673 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,22 +1,39 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=$(pwd)
-(test -f $srcdir/src/dh-main.c) || {
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level Devhelp directory."
- exit 1
-}
+cd $srcdir
-which gnome-autogen.sh || {
- echo "You need to install gnome-common."
- exit 1
+(test -f configure.ac) || {
+ echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+ exit 1
}
-git submodule update --init --recursive
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
+ echo "*** '$0' command line." >&2
+ echo "" >&2
+fi
+
+aclocal --install || exit 1
+gtkdocize --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install || exit 1
-gtkdocize || exit 1
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+ $srcdir/configure "$@" || exit 1
-. gnome-autogen.sh
+ if [ "$1" = "--help" ]; then exit 0 else
+ echo "Now type 'make' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]